webpackJsonp([32],{

/***/ 1068:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SocialMediaPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_Helper__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__angular_forms__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SocialMediaPage = (function () {
    function SocialMediaPage(navCtrl, navParams, viewCtrl, ds, helperService, storageProvider, toast, app, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.helperService = helperService;
        this.storageProvider = storageProvider;
        this.toast = toast;
        this.app = app;
        this.platform = platform;
        this.validationMessages = {
            'fb': [
                { type: 'required', message: 'Facebook url is required.' },
                { type: 'pattern', message: 'Please enter a valid facebook url.Ex:https://www.facebook.com/' }
            ],
            'linked': [
                { type: 'required', message: 'Linked in url is required.' },
                { type: 'pattern', message: 'Please enter a valid linked in url.Ex:https://www.linkedin.com/in/' }
            ],
            'gmail': [
                { type: 'required', message: 'Gmail in url is required.' },
                { type: 'pattern', message: 'Please enter a valid gmail url.Ex:https://plus.google.com/u/0/' }
            ]
        };
        this.facebookForm = new __WEBPACK_IMPORTED_MODULE_7__angular_forms__["c" /* FormGroup */]({
            fb: new __WEBPACK_IMPORTED_MODULE_7__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_7__angular_forms__["h" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_7__angular_forms__["h" /* Validators */].pattern("https://www.facebook.com/.*")])
        });
        this.linkedInForm = new __WEBPACK_IMPORTED_MODULE_7__angular_forms__["c" /* FormGroup */]({
            linked: new __WEBPACK_IMPORTED_MODULE_7__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_7__angular_forms__["h" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_7__angular_forms__["h" /* Validators */].pattern("https://www.linkedin.com/in/.*")])
        });
        this.gmailForm = new __WEBPACK_IMPORTED_MODULE_7__angular_forms__["c" /* FormGroup */]({
            gmail: new __WEBPACK_IMPORTED_MODULE_7__angular_forms__["b" /* FormControl */]('', [__WEBPACK_IMPORTED_MODULE_7__angular_forms__["h" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_7__angular_forms__["h" /* Validators */].pattern("https://plus.google.com/u/0/.*")])
        });
    }
    SocialMediaPage.prototype.ionViewDidLoad = function () {
    };
    SocialMediaPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.linkType = this.navParams.get('socialMedia');
        this.ngoDetails = this.navParams.get('ngoData');
        if (this.linkType == 'Facebook') {
            this.urldata = this.ngoDetails.facebookLink;
        }
        else if (this.linkType == 'LinkedIn') {
            this.urldata = this.ngoDetails.linkedInLink;
        }
        else if (this.linkType == 'GooglePlus') {
            this.urldata = this.ngoDetails.googleLink;
        }
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    SocialMediaPage.prototype.addUrl = function () {
        var _this = this;
        if (this.linkType == 'Facebook') {
            this.ngoDetails.facebookLink = this.urldata;
        }
        else if (this.linkType == 'LinkedIn') {
            this.ngoDetails.linkedInLink = this.urldata;
        }
        else if (this.linkType == 'GooglePlus') {
            this.ngoDetails.googleLink = this.urldata;
        }
        this.prefs = {
            req_object: this.ngoDetails,
            dont_show_loader: false,
            dont_handle_error: true,
            url: __WEBPACK_IMPORTED_MODULE_6__constants_API_ROUTES__["a" /* API_ROUTES */].np_profile + this.ngoDetails.id,
        };
        this.ds.profileUpdate(this.prefs, function (updatedProfile) {
            if (updatedProfile) {
                _this.viewCtrl.dismiss(_this.ngoDetails);
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
                _this.invalidLogin();
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    SocialMediaPage.prototype.invalidLogin = function () {
        var _this = this;
        this.toast.bottomToast_Long("Sorry, Some error occurred, Please Relogin.");
        this.helperService.logout().then(function (data) {
            _this.app.getRootNav().setRoot('LoginOptionsPage');
        });
    };
    SocialMediaPage.prototype.back = function () {
        this.viewCtrl.dismiss('noData');
    };
    SocialMediaPage.prototype.URL_check = function () {
        return function (control) {
            var re = new RegExp("^(http[s]?:\\/\\/(www\\.)?|ftp:\\/\\/(www\\.)?|www\\.){1}([0-9A-Za-z-\\.@:%_\+~#=]+)+((\\.[a-zA-Z]{2,3})+)(/(.)*)?(\\?(.)*)?");
            var input = control.value;
            var isValid = re.test(input);
            if (!isValid)
                return { 'url_check': { isValid: isValid } };
            else
                return null;
        };
    };
    SocialMediaPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: "page-social-media",template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\social-media\social-media.html"*/'<ion-header>\n\n\n\n  <ion-navbar hideBackButton>\n\n    <ion-grid class="padding0px">\n\n      <ion-row>\n\n        <ion-col col-2 (click)="back()" class="paddingtop12px align_center">\n\n          <ion-icon class="header-icon" name="arrow-back"></ion-icon>\n\n        </ion-col>\n\n        <ion-col col-8>\n\n          <div class="heading">Social Media</div>\n\n        </ion-col>\n\n        <ion-col col-2 class="paddingtop8px"> </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding >\n\n  <ion-card class="padding13px cardwidth" *ngIf="linkType == \'Facebook\'">\n\n      <form novalidate [formGroup]="facebookForm">\n\n    <ion-row>\n\n      <ion-col col-9 class="paddingtop15px font-size13px">\n\n        <div class="fbcom">Enter Facebook Url</div>\n\n    <!--    <span class="username">username</span>-->\n\n      </ion-col>\n\n      <ion-col col-3 class="paddingtop12px">\n\n        <ion-icon text-right name="logo-facebook" class="facebookicon"></ion-icon>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-item class="transparent bottom_border">\n\n      <ion-label floating>Enter Facebook URL</ion-label>\n\n      <ion-input type="url" [(ngModel)]="urldata" formControlName="fb"></ion-input>\n\n    </ion-item>\n\n            <div *ngFor="let validation of validationMessages.fb" >\n\n		<div class="password_req" *ngIf="facebookForm.get(\'fb\').hasError(validation.type) && (facebookForm.get(\'fb\').dirty || facebookForm.get(\'fb\').touched)">\n\n	{{ validation.message }}\n\n		</div>\n\n	</div>\n\n    \n\n    <div class="paddingtop10px">\n\n        <button ion-button small class="remove_btn"  (click)="back()">CANCEL</button>\n\n      <button ion-button small class="add_btn" (click)="addUrl()" [disabled]="facebookForm.invalid">ADD</button>\n\n      \n\n    </div>\n\n            </form>\n\n  </ion-card>\n\n\n\n  <ion-card class="padding13px cardwidth" *ngIf="linkType == \'LinkedIn\'">\n\n      <form novalidate [formGroup]="linkedInForm">\n\n    <ion-row>\n\n      <ion-col col-9 class="paddingtop15px font-size13px">\n\n        <div class="fbcom">Enter LinkedIn Url</div>\n\n        <!--    <span class="username">username</span>-->\n\n      </ion-col>\n\n      <ion-col col-3 class="paddingtop12px">\n\n        <ion-icon text-right name="logo-linkedin" class="facebookicon"></ion-icon>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-item class="transparent bottom_border">\n\n      <ion-label floating>Enter LinkedIn URL</ion-label>\n\n      <ion-input type="url" [(ngModel)]="urldata" formControlName="linked"></ion-input>\n\n    </ion-item>\n\n             <div *ngFor="let validation of validationMessages.linked" >\n\n		<div class="password_req" *ngIf="linkedInForm.get(\'linked\').hasError(validation.type) && (linkedInForm.get(\'linked\').dirty || linkedInForm.get(\'linked\').touched)">\n\n	{{ validation.message }}\n\n		</div>\n\n	</div>\n\n\n\n    <div  class="paddingtop10px">\n\n        <button ion-button small class="remove_btn"  (click)="back()">CANCEL</button>\n\n      <button ion-button small class="add_btn" (click)="addUrl()" [disabled]="linkedInForm.invalid">ADD</button>\n\n      \n\n    </div>\n\n            </form>\n\n  </ion-card>\n\n\n\n  <ion-card class="padding13px cardwidth" *ngIf="linkType == \'GooglePlus\'">\n\n      <form novalidate [formGroup]="gmailForm">\n\n    <ion-row>\n\n      <ion-col col-9 class="paddingtop15px font-size13px">\n\n        <div class="fbcom">Enter GooglePlus Url</div>\n\n        <!--    <span class="username">username</span>-->\n\n      </ion-col>\n\n      <ion-col col-3 class="paddingtop12px">\n\n        <ion-icon text-right name="logo-googleplus" class="googleplusicon"></ion-icon>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-item class="transparent bottom_border">\n\n      <ion-label floating>Enter GooglePlus URL</ion-label>\n\n      <ion-input type="url" [(ngModel)]="urldata" formControlName="gmail"></ion-input>\n\n    </ion-item>\n\n            <div *ngFor="let validation of validationMessages.gmail" >\n\n		<div class="password_req" *ngIf="gmailForm.get(\'gmail\').hasError(validation.type) && (gmailForm.get(\'gmail\').dirty || gmailForm.get(\'gmail\').touched)">\n\n	{{ validation.message }}\n\n		</div>\n\n	</div> \n\n \n\n    <div  class="paddingtop10px">\n\n        <button ion-button small class="remove_btn"  (click)="back()">CANCEL</button>\n\n      <button ion-button small class="add_btn" (click)="addUrl()" [disabled]="gmailForm.invalid">ADD</button>\n\n      \n\n    </div>\n\n            </form>\n\n  </ion-card>\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n  <!--<ion-card class="padding13px cardwidth">\n\n    <ion-row>\n\n      <ion-col col-9>\n\n        <ion-item>\n\n          <ion-avatar item-start>\n\n            <img src="assets/imgs/Oval15x.png">\n\n          </ion-avatar>\n\n          <h2 class="font-size16px margintop5px">Claire Elise</h2>\n\n          <p class="font-size14px">claireabc@gmail.com</p>\n\n        </ion-item>\n\n      </ion-col>\n\n      <ion-col col-3 class="paddingtop20px">\n\n        <ion-icon text-right name="logo-googleplus" class="googleplusicon"></ion-icon>\n\n      </ion-col>\n\n    </ion-row>\n\n    <hr>\n\n    <div>\n\n      <button ion-button small class="remove_btn">REMOVE</button>\n\n      <button ion-button small class="add_btn">ADD</button>\n\n    </div>\n\n  </ion-card>-->\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\social-media\social-media.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */], __WEBPACK_IMPORTED_MODULE_2__providers_DataService__["a" /* DataService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_4__providers_in_app_storage_service__["a" /* InAppStorageServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__["a" /* ToastService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], SocialMediaPage);
    return SocialMediaPage;
}());

//# sourceMappingURL=social-media.js.map

/***/ }),

/***/ 964:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SocialMediaPageModule", function() { return SocialMediaPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__social_media__ = __webpack_require__(1068);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SocialMediaPageModule = (function () {
    function SocialMediaPageModule() {
    }
    SocialMediaPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__social_media__["a" /* SocialMediaPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__social_media__["a" /* SocialMediaPage */]),
            ],
        })
    ], SocialMediaPageModule);
    return SocialMediaPageModule;
}());

//# sourceMappingURL=social-media.module.js.map

/***/ })

});
//# sourceMappingURL=32.js.map