webpackJsonp([50],{

/***/ 1038:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ManageRolePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__ = __webpack_require__(96);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_DataService__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Helper__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var ManageRolePage = (function () {
    function ManageRolePage(navCtrl, navParams, viewCtrl, ds, ionicStorage, toast, helper, app, platform) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.ds = ds;
        this.ionicStorage = ionicStorage;
        this.toast = toast;
        this.helper = helper;
        this.app = app;
        this.platform = platform;
        this.usersList = this.navParams.get('usersList');
    }
    ManageRolePage.prototype.ionViewWillEnter = function () {
        var _this = this;
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss(_this.usersList);
        });
        this.viewCtrl.showBackButton(false);
        this.choosenUser = this.navParams.get('choosenUser');
        if (this.choosenUser) {
            this.checkAdminStatus();
        }
        // this.ngoDetails = this.navParams.get('NgoDetails');
        this.ionicStorage.getNgoDetails().then(function (ngoDetails) {
            _this.ngoDetails = ngoDetails;
        });
        this.platform.registerBackButtonAction(function () {
            _this.viewCtrl.dismiss();
        });
    };
    ManageRolePage.prototype.checkAdminStatus = function () {
        if (this.choosenUser.jobTitle == 'admin') {
            this.roleStatus = true;
        }
        else {
            this.roleStatus = false;
        }
    };
    ManageRolePage.prototype.ionViewDidLoad = function () {
    };
    ManageRolePage.prototype.activateDeactivate = function (key) {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].activate_deactivate + this.ngoDetails.id + '/' + this.choosenUser.userId,
            req_object: {
                isActive: key,
                isVerified: key
            },
            dont_show_loader: false
        };
        this.ds.activateDeactivate(this.prefs, function (activeStatus) {
            _this.getNgoUsers('');
        }, function (err) {
            console.log(err);
        });
    };
    ManageRolePage.prototype.deleteAcc = function () {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].delete_account + this.ngoDetails.id + '/' + this.choosenUser.userId,
            req_object: {},
            dont_show_loader: false
        };
        this.ds.deleteUserAccount(this.prefs, function (activeStatus) {
            _this.getNgoUsers('del');
        }, function (err) {
            console.log(err);
        });
    };
    ManageRolePage.prototype.changeStatus = function (roleStatus) {
        var _this = this;
        this.prefs = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].common_user_url + 'edu/' + this.ngoDetails.id + '/' + this.choosenUser.userId + '/role',
            dont_show_loader: false,
            req_object: {
                jobTitle: roleStatus ? 'admin' : 'user',
                isVerified: roleStatus ? true : false,
                isActive: roleStatus ? true : false
            }
        };
        this.ds.changeAdminStatus(this.prefs, function (status) {
            _this.getNgoUsers('');
        }, function (err) {
            console.log(err);
        });
    };
    ManageRolePage.prototype.getNgoUsers = function (key) {
        var _this = this;
        this.prefss = {
            url: __WEBPACK_IMPORTED_MODULE_2__constants_API_ROUTES__["a" /* API_ROUTES */].get_ngo_users + this.ngoDetails.id,
            dont_handle_error: true,
            dont_show_loader: false,
        };
        this.ds.getNpUsers(this.prefss, function (data) {
            if (data) {
                _this.usersList = data.results;
                if (_this.usersList.length) {
                    _this.showError = false;
                    for (var i = 0; i < _this.usersList.length; i++) {
                        if (_this.choosenUser.userId == _this.usersList[i].userId) {
                            _this.choosenUser = _this.usersList[i];
                        }
                    }
                    _this.checkAdminStatus();
                }
                else {
                    _this.showError = true;
                }
                if (key == 'del') {
                    _this.viewCtrl.dismiss(_this.usersList);
                }
            }
        }, function (err) {
            console.log(err);
            if (err.status == '401') {
                _this.invalidLogin();
            }
            else if (err.status == '0') {
                _this.toast.bottomToast_Long('Please check your internet connection');
            }
        });
    };
    ManageRolePage.prototype.invalidLogin = function () {
        var _this = this;
        this.toast.bottomToast_Long("Sorry, Some error occurred, Please Relogin.");
        this.helper.logout().then(function (data) {
            _this.app.getRootNav().setRoot('LoginOptionsPage');
        });
    };
    ManageRolePage.prototype.back = function () {
        this.viewCtrl.dismiss(this.usersList);
    };
    ManageRolePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-manage-role',template:/*ion-inline-start:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\manage-role\manage-role.html"*/'<ion-content >\n\n  <ion-card class="card-bg">\n\n    <ion-card-header class="card_head">\n\n        <ion-row>\n\n            <ion-col col-1>\n\n                <ion-icon name="md-arrow-round-back" class="backarrow" (click)="back()"></ion-icon>\n\n            </ion-col>\n\n            <ion-col col-10 center text-center>\n\n                <span class="white_font">{{choosenUser?.fullname}}</span><br>\n\n              </ion-col>\n\n            <ion-col col-1></ion-col>\n\n         </ion-row>\n\n         <ion-row>\n\n           <ion-col col-1></ion-col>\n\n           <ion-col col-10 center text-center>\n\n             <span class="admin-text">{{choosenUser?.jobTitle}}</span>\n\n           </ion-col>\n\n           <ion-col col-1></ion-col>\n\n         </ion-row>\n\n    </ion-card-header>\n\n    <ion-card-content class="crd_content">\n\n        <ion-item class="margin-top-25px">\n\n            <ion-avatar class="trophy_avatar">\n\n                <div class="trophy_div">\n\n<!--                                                <ion-icon class="trophy_icon" name="ios-trophy-outline"></ion-icon>-->\n\n                 </div>\n\n                <div>\n\n                    <img class="profile_pic" src="assets/imgs/Oval3x.png">\n\n                </div>\n\n            </ion-avatar>\n\n        </ion-item>\n\n </ion-card-content>\n\n</ion-card>\n\n<ion-card class="margintop15px">\n\n  <ion-card-content class="paddingtop0px paddingbottom0px">\n\n  <ion-row>\n\n    <ion-col col-2 class="paddingtop9px">\n\n      <!-- <ion-icon class="icon_color" name="ios-contact-outline"></ion-icon> -->\n\n      <img class="icon-img" src="assets/imgs/icon-list-personalinfo@3x.png">\n\n    </ion-col>\n\n    <ion-col col-7>\n\n      <span class="admin-role">Administrator role</span>\n\n    </ion-col>\n\n    <ion-col col-3>\n\n      <ion-item item-end>\n\n      <ion-toggle checked = "true"  [(ngModel)]="roleStatus" (ionChange)="changeStatus(roleStatus)"></ion-toggle>\n\n    </ion-item>\n\n    </ion-col>\n\n  </ion-row>\n\n</ion-card-content>\n\n</ion-card>\n\n<ion-card class="margintop10px">\n\n <ion-card-content>\n\n   <ion-row>\n\n     <ion-col col-1></ion-col>\n\n     <ion-col col-10>\n\n       <button ion-button class="delete-btn" (click)="deleteAcc()">DELETE ACCOUNT</button>\n\n     </ion-col>\n\n     <ion-col col-1></ion-col>\n\n   </ion-row>\n\n   <ion-row>\n\n    <ion-col col-1></ion-col>\n\n    <ion-col col-10>\n\n      <button ion-button class="deactivate-btn" *ngIf="choosenUser?.isActive" (click)="activateDeactivate(false)">DEACTIVATE ACCOUNT</button>\n\n        <button ion-button class="deactivate-btn" *ngIf="!choosenUser?.isActive" (click)="activateDeactivate(true)">ACTIVATE ACCOUNT</button>\n\n    </ion-col>\n\n    <ion-col col-1></ion-col>\n\n  </ion-row>\n\n </ion-card-content>\n\n</ion-card>\n\n</ion-content>'/*ion-inline-end:"C:\Users\SST11\3D Objects\SAHAVE-BSR\SAHAVE-BSR\SAHAVE-BSR\src\pages\Start\manage-role\manage-role.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["y" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_DataService__["a" /* DataService */], __WEBPACK_IMPORTED_MODULE_4__providers_IonicStorageService__["a" /* IonicStorageService */], __WEBPACK_IMPORTED_MODULE_5__providers_ToastService__["a" /* ToastService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_Helper__["a" /* Helper */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], ManageRolePage);
    return ManageRolePage;
}());

//# sourceMappingURL=manage-role.js.map

/***/ }),

/***/ 935:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ManageRolePageModule", function() { return ManageRolePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__manage_role__ = __webpack_require__(1038);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ManageRolePageModule = (function () {
    function ManageRolePageModule() {
    }
    ManageRolePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__manage_role__["a" /* ManageRolePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__manage_role__["a" /* ManageRolePage */]),
            ],
        })
    ], ManageRolePageModule);
    return ManageRolePageModule;
}());

//# sourceMappingURL=manage-role.module.js.map

/***/ })

});
//# sourceMappingURL=50.js.map